<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface"
    android:orientation="vertical">

    <com.gh.gamecenter.common.view.StatusBarView
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="48dp">

        <View
            android:id="@+id/back"
            android:layout_width="30dp"
            android:layout_height="24dp"
            android:layout_marginStart="9dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/tab1"
            android:layout_width="42dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/back"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/tab2"
            android:layout_width="42dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/tab1"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/tab3"
            android:layout_width="42dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/tab2"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/btn1"
            android:layout_width="30dp"
            android:layout_height="24dp"
            android:layout_marginEnd="18dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/btn2"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/btn2"
            android:layout_width="30dp"
            android:layout_height="24dp"
            android:layout_marginEnd="13dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.lightgame.view.scale.ScaleFrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:background="@drawable/bg_skeleton_radius_8"
        android:visibility="visible"
        app:fractionValue="0.561"
        app:measureBy="width" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/icon"
            android:layout_width="72dp"
            android:layout_height="72dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_skeleton_radius_16"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/text1"
            android:layout_width="126dp"
            android:layout_height="18dp"
            android:layout_marginStart="12dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintStart_toEndOf="@+id/icon"
            app:layout_constraintTop_toTopOf="@+id/icon" />

        <View
            android:id="@+id/text2"
            android:layout_width="84dp"
            android:layout_height="11dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintStart_toEndOf="@+id/icon"
            app:layout_constraintTop_toBottomOf="@+id/text1" />

        <View
            android:id="@+id/text3"
            android:layout_width="103dp"
            android:layout_height="11dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/bg_skeleton_radius_2"
            app:layout_constraintStart_toEndOf="@+id/icon"
            app:layout_constraintTop_toBottomOf="@+id/text2" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="217dp"
        android:layout_height="24dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_skeleton_radius_4" />

    <com.google.android.flexbox.FlexboxLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="17dp"
        android:layout_marginRight="16dp"
        app:justifyContent="space_between">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="29dp"
                android:layout_height="13dp"
                android:background="@drawable/bg_skeleton_radius_2" />

            <View
                android:layout_width="42dp"
                android:layout_height="13dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/bg_skeleton_radius_2" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="29dp"
                android:layout_height="13dp"
                android:background="@drawable/bg_skeleton_radius_2" />

            <View
                android:layout_width="42dp"
                android:layout_height="13dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/bg_skeleton_radius_2" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="29dp"
                android:layout_height="13dp"
                android:background="@drawable/bg_skeleton_radius_2" />

            <View
                android:layout_width="42dp"
                android:layout_height="13dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/bg_skeleton_radius_2" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="29dp"
                android:layout_height="13dp"
                android:background="@drawable/bg_skeleton_radius_2" />

            <View
                android:layout_width="42dp"
                android:layout_height="13dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/bg_skeleton_radius_2" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:layout_width="29dp"
                android:layout_height="13dp"
                android:background="@drawable/bg_skeleton_radius_2" />

            <View
                android:layout_width="42dp"
                android:layout_height="13dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/bg_skeleton_radius_2" />
        </LinearLayout>
    </com.google.android.flexbox.FlexboxLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="32dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="6dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/bg_skeleton_radius_8" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:orientation="horizontal">

        <View
            android:layout_width="0dp"
            android:layout_height="56dp"
            android:layout_weight="2"
            android:background="@drawable/bg_skeleton_radius_8" />

        <View
            android:layout_width="0dp"
            android:layout_height="56dp"
            android:layout_marginStart="8dp"
            android:layout_weight="1"
            android:background="@drawable/bg_skeleton_radius_8" />

        <View
            android:layout_width="0dp"
            android:layout_height="56dp"
            android:layout_marginStart="8dp"
            android:layout_weight="1"
            android:background="@drawable/bg_skeleton_radius_8" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/bg_skeleton_radius_8" />

    <View
        android:layout_width="76dp"
        android:layout_height="20dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="32dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/bg_skeleton_radius_2" />

    <View
        android:layout_width="match_parent"
        android:layout_height="371dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/bg_skeleton_radius_8" />

</LinearLayout>